using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using System.Text.Json;

namespace _Tests.Extract.Staging.v2_39_0;

[TestClass]
public class DEP08SIASM
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_39_0.DEP08SIASM _DEP08SIASM;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_39_0.DEP08SIASM.ClassInitialize(testContext);
        _DEP08SIASM = CreateSelfDescription.Staging.v2_39_0.DEP08SIASM.EAFLoggingUnitTesting;
    }

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM();

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM637535051877475932__Health()
    {
        string check = "~EDA-IQS";
        _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _DEP08SIASM.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _DEP08SIASM.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Helpers.Deposition.ReExtractComapareUpdatePassDirectory(variables, fileRead, logistics);
    }

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM637535051877475932__XML()
    {
        string check = "~EDA-IQS";
        _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _DEP08SIASM.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _DEP08SIASM.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Helpers.Deposition.ReExtractComapareUpdatePassDirectory(variables, fileRead, logistics);
    }

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM_() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM_();

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM_637535051877475932__Health()
    {
        string check = "~IQS-OpenInsight";
        _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM_();
        MethodBase methodBase = new StackFrame().GetMethod();
        string[] variables = _DEP08SIASM.AdaptationTesting.GetVariables(methodBase, check);
        IFileRead fileRead = _DEP08SIASM.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Helpers.Deposition.ReExtractComapareUpdatePassDirectory(variables, fileRead, logistics);
    }

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM__() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM__();

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM___() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM___();

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM____() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM____();

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM_____() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM_____();

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM______() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM______();

    [TestMethod]
    public void Staging__v2_39_0__DEP08SIASM__DEP08SIASM_______() => _DEP08SIASM.Staging__v2_39_0__DEP08SIASM__DEP08SIASM_______();

}